# Time-stamp: <modified the 16/04/2024 (at 11:25) by Erwan Jahier>

DECO_PATTERN="0-:p.ml"
-include ./Makefile.dot
-include ./Makefile.inc

##############################################################################
# Non-regression tests

test:  ghosh8.gm_test clean

# update golden-master tests (if necessary)
utest:
	make ghosh8.ugm_test || echo "grid4 ok"

##############################################################################
# gg does not know how to generate such topologies
ghosh%.dot: util/gen_ghosh_dot.ml
	ocaml util/gen_ghosh_dot.ml $*

##############################################################################
# Other examples of use

gui: ghosh8.rdbgui

clean: genclean
	rm -f grid*.* diring*.* clique*.* er*.*
